Home

# Library goog.ui.ImagelessRoundedCorner

Function Summary

`create(!Element element, number width, number height, number borderWidth, number radius, ?goog.ui.ImagelessRoundedCorner.Corner location, string borderColor, string= opt_backgroundColor, ?goog.dom.DomHelper= opt_domHelper) ⇒ (goog.ui.AbstractImagelessRoundedCorner|null|undefined)`

Returns an instance of goog.ui.ImagelessRoundedCorner that can render a rounded corner, with the implementation varying depending on the current platform. The rounded corner contains 3 components: horizontal filler, arc, and vertical filler. Horizontal and/or vertical fillers are added if the radius of the rounded corner is less than the width and/or height of the containing element. This is a factory method for image-less rounded corner classes.